<html>
<head>
<style type="text/css">
  @import "torm.css";
</style>
</head>
<script type="text/javascript">
  function timer() {
    var keys = new Array("state", "progress", "name");
    var data = FortunePlugin.getData(keys, 2);
    var output = new Array();
    var k = 0;
    
    output[k++] = "<table id='myTable1'><tbody id='myTbody'>";
    for (var i = 0; i < data.length; i++) {
      output[k++] = "<tr class='tr" + (i%2) + "'>";
      var cols = data[i][1];
      for (var j = 0; j < cols.length; j++) {
        output[k++] = "<td>" + cols[j] + "</td>";
      }
      output[k++] = "</tr>";
    }
    output[k++] = "</tbody></table>";
    document.getElementById("list").innerHTML = output.join("");
    setTimeout("timer()", 1000);
  }
</script>

<body onload="timer()">
  <div id="list">
  </div>
</body>
</html>


<html>

<style type="text/css">
  @import "torm.css";
</style>

<script type='text/javascript' src='torm.js' />
<script type='text/javascript' src='/System/Library/WidgetResources/AppleClasses/AppleInfoButton.js' charset='utf-8'/>
<script type='text/javascript' src='/System/Library/WidgetResources/AppleClasses/AppleAnimator.js' charset='utf-8'/>
<script type='text/javascript' src='/System/Library/WidgetResources/AppleClasses/AppleButton.js' charset='utf-8'/>

</head>

<body onload="setup();">
	<div id="front">
		<div id="top">
			<div id="top-left"></div>
			<div id="top-middle">
				<div id="infoButton"></div>
			</div>
			<div id="top-right"></div>
		</div>

		<div id="middle">
			<div id="middle-left"></div>
			<div id="middle-middle">
				<pre id="command-output"></pre>
			</div>
			<div id="middle-right"></div>	
		</div>

		<div id="bottom">
			<div id="bottom-left"></div>
			<div id="bottom-middle"></div>
			<div id="bottom-right"></div>		
			<img id='resize' src='/System/Library/WidgetResources/resize.png' onmousedown='mouseDown(event);'/>
		</div>
		
		
	</div>

	<div id="back">
		<div id="doneButton"></div>
	</div>
		
</body>

</html>
